/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// bptdata.cpp : implementation file
//

#include "stdafx.h"
#include "bptdll.h"

#include "bptdata.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBpData

IMPLEMENT_SERIAL(CBpData, CObject, 0)

#define new DEBUG_NEW

void CBpData::Serialize(CArchive& ar)
{
	m_Addr.Serialize(ar);

	// Reads or writes this object from or to an archive
	if ( ar.IsStoring() ) {
		// TODO: add storing code here
		ar << m_strSymbol << (WORD&)m_bEnable;
	}
	else {
		// TODO: add loading code here
		ar >> m_strSymbol >> (WORD&)m_bEnable;
	}
}
